Bug 1458222 - with last kernel 4.11.3-200 VPN l2tp+ipsec not work property
Summary: with last kernel 4.11.3-200 VPN l2tp+ipsec not work property
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-02 10:37 UTC by Dario Lesca
Modified: 2017-12-12 10:44 UTC (History)
12 users (show)

Fixed In Version: kernel-4.11.3-202.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:44:54 UTC


Attachments (Terms of Use)

Description Dario Lesca 2017-06-02 10:37:42 UTC
Description of problem:
After upgrade to last kernel 4.11.3-200 l2tp+ipsec vpn not work property

Version-Release number of selected component (if applicable):
[lesca@dodo ~]$ cat rpm-qa.txt |grep -E 'kernel-4.11|l2tp|ipsec|NetworkManager|swan'|sort
kernel-4.11.3-200.fc25.x86_64
libreswan-3.19-1.fc25.x86_64
NetworkManager-1.4.4-5.fc25.x86_64
NetworkManager-adsl-1.4.4-5.fc25.x86_64
NetworkManager-bluetooth-1.4.4-5.fc25.x86_64
NetworkManager-config-connectivity-fedora-1.4.4-5.fc25.x86_64
NetworkManager-glib-1.4.4-5.fc25.x86_64
NetworkManager-glib-devel-1.4.4-5.fc25.x86_64
NetworkManager-l2tp-1.2.6-1.fc25.x86_64
NetworkManager-l2tp-gnome-1.2.6-1.fc25.x86_64
NetworkManager-libnm-1.4.4-5.fc25.x86_64
NetworkManager-openconnect-1.2.4-3.fc25.x86_64
NetworkManager-openconnect-gnome-1.2.4-3.fc25.x86_64
NetworkManager-openvpn-1.2.8-2.fc25.x86_64
NetworkManager-openvpn-gnome-1.2.8-2.fc25.x86_64
NetworkManager-pptp-1.2.4-1.fc25.x86_64
NetworkManager-pptp-gnome-1.2.4-1.fc25.x86_64
NetworkManager-ssh-1.2.6-1.fc25.x86_64
NetworkManager-ssh-gnome-1.2.6-1.fc25.x86_64
NetworkManager-tui-1.4.4-5.fc25.x86_64
NetworkManager-vpnc-1.2.4-1.fc25.x86_64
NetworkManager-vpnc-gnome-1.2.4-1.fc25.x86_64
NetworkManager-wifi-1.4.4-5.fc25.x86_64
NetworkManager-wwan-1.4.4-5.fc25.x86_64
xl2tpd-1.3.8-2.fc25.x86_64

How reproducible:

Steps to Reproduce:

1. Start Fedora 25 with kernel 4.11.3
2. On a l2tp VPN from NetworkManager: OK, VPN start.
3. resolve a remote name via "host someost.remote re.mo.te.dnsip: OK, I get the host IP
4. ping some remote IP: OK, I can ping remote IP
5. ssh to remote host: NOT OK, i cannot connect to remote host

Actual results:
Not Work TCP Access, UDP and ICMP access work.

Expected results:
TCP access work like other old kernel.

Additional info:
Yesterday I have update my fedora 25 and after reboot VPN l2tp+ipsec do not work anymore.

The connection happens without problem, the routing are set correctly, the DNS (UDP protocol) and ping (ICMP protocol) to remote host work.

Only the access to some server, like ssh or smb:// (TCP protocol) do not work, in this case, if I monitoring on remote server with tcpdump, none arrives.

If I reboot with previous kernel (4.10.17) all work fine.

Some suggest?
https://lists.fedoraproject.org/archives/list/users@lists.fedoraproject.org/thread/2VBRANTXRXH54C5H5S2IZFDYQUFUFQDB/

Thanks

Comment 1 Laura Abbott 2017-06-02 17:12:01 UTC
Yes, this was reported on the bodhi update for 4.11.3 with a pointer to what should be a fix. I started an incremental build https://koji.fedoraproject.org/koji/taskinfo?taskID=19812485 which you can test when it finishes.

Comment 2 Dario Lesca 2017-06-02 23:39:53 UTC
Thank Laura.

I have download the koji new kernel 4.11.3-201 ...

-rw-rw-r-- 1 lesca lesca   102262  3 giu 01.02 kernel-4.11.3-201.fc25.x86_64.rpm
-rw-rw-r-- 1 lesca lesca 21653218  3 giu 01.14 kernel-core-4.11.3-201.fc25.x86_64.rpm
-rw-rw-r-- 1 lesca lesca 11864518  3 giu 01.12 kernel-devel-4.11.3-201.fc25.x86_64.rpm
-rw-rw-r-- 1 lesca lesca  1190830  3 giu 01.03 kernel-headers-4.11.3-201.fc25.x86_64.rpm
-rw-rw-r-- 1 lesca lesca 24051546  3 giu 01.16 kernel-modules-4.11.3-201.fc25.x86_64.rpm
-rw-rw-r-- 1 lesca lesca  2287950  3 giu 01.06 kernel-modules-extra-4.11.3-201.fc25.x86_64.rpm
-rw-rw-r-- 1 lesca lesca   111074  3 giu 01.05 kernel-tools-libs-4.11.3-201.fc25.x86_64.rpm

install it and reboot:

[lesca@dodo ~]$ uname -a
Linux dodo.home.solinos.it 4.11.3-201.fc25.x86_64 #1 SMP Fri Jun 2 19:25:45 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

None is change.

The problem persist: UDP and ICMP work, TCP not work. I cannot ssh to remote server.

Comment 3 Laura Abbott 2017-06-05 16:04:01 UTC
Okay I think I found what should be an actual fix for 4.11, https://koji.fedoraproject.org/koji/taskinfo?taskID=19871705 should be building with an actual fix.

Comment 4 Justin Driggers 2017-06-05 20:06:01 UTC
(In reply to Laura Abbott from comment #3)
> Okay I think I found what should be an actual fix for 4.11,
> https://koji.fedoraproject.org/koji/taskinfo?taskID=19871705 should be
> building with an actual fix.

This build appears to have fixed the issue for me (though I am not the original reporter). Thanks Laura.

Comment 5 Dario Lesca 2017-06-05 22:11:09 UTC
(In reply to Laura Abbott from comment #3)
> Okay I think I found what should be an actual fix for 4.11,
> https://koji.fedoraproject.org/koji/taskinfo?taskID=19871705 should be
> building with an actual fix.

Ok, I have download this build, install it, reboot and try use ipsec/l2tp VPN.

All work fine, the issue now is fixed for me.

Thanks Laura!

Comment 6 Fedora Update System 2017-06-05 22:15:07 UTC
kernel-4.11.3-302.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f8e901b2eb

Comment 7 Fedora Update System 2017-06-05 22:15:59 UTC
kernel-4.11.3-202.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b52e769b35

Comment 8 Fedora Update System 2017-06-05 22:21:35 UTC
kernel-4.11.3-101.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa8a043555

Comment 9 Fedora Update System 2017-06-06 19:05:16 UTC
kernel-4.11.3-302.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f8e901b2eb

Comment 10 Fedora Update System 2017-06-07 07:33:45 UTC
kernel-4.11.3-101.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa8a043555

Comment 11 Fedora Update System 2017-06-07 07:34:15 UTC
kernel-4.11.3-202.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b52e769b35

Comment 12 Fedora Update System 2017-06-08 14:32:11 UTC
kernel-4.11.3-202.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-06-08 17:37:58 UTC
kernel-4.11.4-100.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6554692044

Comment 14 Fedora Update System 2017-06-09 13:32:08 UTC
kernel-4.11.4-100.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6554692044

Comment 15 Fedora Update System 2017-06-13 19:56:31 UTC
kernel-4.11.4-100.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Raman Gupta 2017-06-29 13:48:43 UTC
I seem to be having this issue again with kernel 4.11.6-201.fc25.x86_64. Does anyone know if the patch is included in 4.11.6-201.fc25.x86_64?

Comment 17 Raman Gupta 2017-06-29 14:20:28 UTC
Hmm, from strongswan irc:

<evilman_work> rocketraman: don't use the 4.11 while - it's buggy in the nat caused by migration on rhashtable.
<rocketraman> evilman_work: so there is more than one issue with 4.11?
<evilman_work> rocketraman: yep.

Comment 18 Dario Lesca 2017-06-29 17:35:19 UTC
I have try today the l2tp+ipsec vpn and work fine.
I can access remote server without problem.

I have this kernel:

[lesca@dodo ~]$ uname -a
Linux dodo.home.solinos.it 4.11.6-201.fc25.x86_64 #1 SMP Tue Jun 20 20:21:11 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

hope this help
Dario

Comment 19 Fedora End Of Life 2017-11-16 19:47:12 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2017-12-12 10:44:54 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.